from flask import Flask, render_template, redirect, request, Blueprint
from flask_socketio import SocketIO, send, emit

app = Flask(__name__)
app.config['SECRET_KEY'] = 'blubb'

from views import mgmt
from views import game
from rest import rest_game, rest_team
from views import init_websocket

app.register_blueprint(mgmt)
app.register_blueprint(game)
app.register_blueprint(rest_game)
app.register_blueprint(rest_team)

socket = init_websocket(app)
socket.run(app, debug=True)

@app.route("/")
def index():
    return "hello"

if __name__ == "__main__":
    socketio.run(app, debug=True)
